package cn.com.countrygarden.bi.main.constant.wcx.enumeration;

/**
 * Created by ADMS on 2018/8/21.
 */
public enum WcxClassificationEnum {
    SERVICE_INNOVATION("服务创新", "1"),
    WORK_TOOL("作业工具", "2"),
    TECHNICAL_INNOVATION("技术创新", "3"),
    MANAGEMENT_SYSTEM("管理制度", "4"),
    OTHER("其他", "5"),
    BRAND_COMMUNICATION("品牌传播","6"),
    INDUSTRY_HONOR("行业荣誉","7"),
    PROFESSION_ACHIEVEMENT("专业成果","8"),
    SOCIAL_DUTY("社会责任","9"),
    INNOVATE_MEASURES("创新举措","10"),;

    private String classificationName;
    private String classificationCode;

    WcxClassificationEnum(String classificationName, String classificationCode) {
        this.classificationName = classificationName;
        this.classificationCode = classificationCode;
    }

    /**
     * 获取基础业务线
     */
    public static String getClassificationName(String innoTypeCode) {
        for (WcxClassificationEnum e : WcxClassificationEnum.values()) {
            if (e.getClassificationCode().equals(innoTypeCode)) {
                return e.getClassificationName();
            }
        }
        return null;
    }

    public String getClassificationName() {
        return classificationName;
    }

    public String getClassificationCode() {
        return classificationCode;
    }
}
